Notification Emails

Create Company Notification Email Address

Have a person or a shared mailbox emailed whenever the company sends or receives a document.

POST
/api/v1/companies/{companyId}/notification-email-addresses

Have a person or a shared mailbox emailed whenever the company sends or receives a document. Choose the directions to notify, and whether each notification carries a rendered PDF and the document as JSON. These emails are for people; use a webhook to drive an integration.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to create a notification email address for

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/companies/string/notification-email-addresses" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "notifyIncoming": true,    "notifyOutgoing": true  }'
{  "success": true,  "notificationEmailAddress": {    "id": "cnea_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "email": "billing@example.com",    "notifyIncoming": true,    "notifyOutgoing": false,    "includeAutoGeneratedPdfIncoming": true,    "includeAutoGeneratedPdfOutgoing": false,    "includeDocumentJsonIncoming": false,    "includeDocumentJsonOutgoing": false,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}